SellOMatic_Destroy = LibStub("AceAddon-3.0"):NewAddon("SellOMatic_Destroy", "AceEvent-3.0", "AceConsole-3.0");
local SellOMatic = _G.SellOMatic

local function getOption(info)
	return (info.arg and SellOMatic.db.profile[info.arg] or SellOMatic.db.profile[info[#info]]);
end;

local function setOption(info, value)
	local key = info.arg or info[#info];
	SellOMatic.db.profile[key] = value;
end;

local destroy_options = {
	type = "group",
	name = "Destroy Options",
	args = {
	},
}

function SellOMatic_Destroy:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("SellOMatic_Destroy", destroy_options);
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("SellOMatic_Destroy", "Destroy Options", "Sell-O-Matic");
end;


